Installing, Compiling & Running Elmer in Ubuntu 14.04

Discussion about building and installing Elmer
annier
Posts: 1115
Joined: 27 Aug 2013, 13:51
Antispam: Yes

Re: Installing, Compiling & Running ElmerNonGUI in Ubuntu 14.04

Post by annier » 19 Oct 2014, 06:29

Hi,
Elmer needs compilation for versions 8.5 of Tcl/Tk libraries or older and so computers having versions 8.6 need to make sure that the older versions are utilized for the path of Elmer.
Yes, Elmer post could not be installed even with the Tcl/Tk adaptation to version 8.4 in my context and so i left it in the compilation script.
in ltcl, the first l is an abbreviation of library in my guess.
Please have a try for compilation there.
Yours
Anil Kunwar
Anil Kunwar
Department of Materials Engineering, KU Leuven, Belgium

annier
Posts: 1115
Joined: 27 Aug 2013, 13:51
Antispam: Yes

Re: Installing, Compiling & Running ElmerNonGUI in Ubuntu 14.04

Post by annier » 16 Dec 2014, 08:58

Using ppa repository to install Elmer in Ubuntu
There is this way to install ElmerNonGui in Ubuntu 14.04 as mentioned in this reference
1. First add ppa repository of elmer

Code: Select all

$ sudo apt-add-repository ppa:elmer-csc-ubuntu/elmer-csc-ppa
2. Get update

Code: Select all

$ sudo apt-get update
3. Install elmer

Code: Select all

$ sudo apt-get install elmerfem-csc
Anil Kunwar
Department of Materials Engineering, KU Leuven, Belgium

annier
Posts: 1115
Joined: 27 Aug 2013, 13:51
Antispam: Yes

Re: Installing, Compiling & Running Elmer in Ubuntu 14.04

Post by annier » 17 Jan 2015, 21:21

Hi,
These threads (thread 1 and thread 2), started by Stevemi, discuss about the installation issue for Elmer in Ubuntu 14.10 using Cmake and come up with the conclusion related to "Tetgen functionality".


Yours
Anil Kunwar
Anil Kunwar
Department of Materials Engineering, KU Leuven, Belgium

Post Reply